Bug 735026 - loader crashes when trying to install in vnc mode
Summary: loader crashes when trying to install in vnc mode
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 16
Hardware: s390x Linux
high
high
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2011-09-01 08:21 UTC by Jan Stodola
Modified: 2012-10-23 08:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 08:59:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Stodola 2011-09-01 08:21:54 UTC
Description of problem:
loader crashes on Fedora 16 for s390x when one try to run the installation in vnc mode using the "vnc" boot parameter:

[jstodola@jstodola ~]$ ssh -x install@10.16.105.197
Warning: Permanently added '10.16.105.197' (RSA) to the list of known hosts.
Welcome to the anaconda install environment 1.2 for zSeries

Starting Anaconda version 16.15.
detecting hardware...
waiting for hardware to initialize...
loader received SIGSEGV!  Backtrace:
-loader[0x8002a106]
-loader[0x800234b4]
-loader[0x8000c83a]
/lib64/libc.so.6(__libc_start_main+0x11c)[0x3fffc5811dc]
-loader[0x8000da1e]
Connection to 10.16.105.197 closed.


eu-addr2line -e /usr/lib/debug/usr/lib64/anaconda/loader.debug 
0x8002a106
/usr/src/debug/anaconda-16.15/pyanaconda/isys/iface.c:466
0x800234b4
/usr/src/debug/anaconda-16.15/loader/net.c:1851
0x8000c83a
/usr/src/debug/anaconda-16.15/loader/loader.c:2210
0x8000da1e
/usr/src/debug/anaconda-16.15/loader/loader.c:1019


Version-Release number of selected component (if applicable):
anaconda-16.15

How reproducible:
always

Steps to Reproduce:
1. start the install, use the "vnc" boot parameter
2. connect via ssh to continue with the installation

  
Actual results:
loader crashes

Expected results:
no crash, anaconda starts VNC server

Comment 1 Jan Stodola 2011-09-01 12:24:15 UTC
systemd errors from x3270 console:

...
12:22:02,375 INFO loader: restarting NetworkManager 
Assertion 'bus' failed at src/systemctl.c:1566, function start_unit(). Aborting.
 
12:22:02,397 ERR loader: iface_restart_NetworkManager (529): No such file or dir
ectory 
12:22:02,397 ERR loader: failed to restart NetworkManager 
NOTICE dbus: Ýsystem¨ Activating service name='org.freedesktop.NetworkManager' (
using servicehelper) 
NOTICE dbus: Ýsystem¨ Activated service 'org.freedesktop.NetworkManager' failed:
 Launch helper exited with unknown return code 1 
12:22:02,452 INFO loader: No iBFT table detected. 
12:22:02,452 INFO loader: only have one network device: eth0 
NOTICE dbus: Ýsystem¨ Activating service name='org.freedesktop.NetworkManager' (
using servicehelper) 
NOTICE dbus: Ýsystem¨ Activated service 'org.freedesktop.NetworkManager' failed:
 Launch helper exited with unknown return code 1 
NOTICE dbus: Ýsystem¨ Activating service name='org.freedesktop.NetworkManager' (
using servicehelper) 
NOTICE dbus: Ýsystem¨ Activated service 'org.freedesktop.NetworkManager' failed:
 Launch helper exited with unknown return code 1

Comment 2 Radek Vykydal 2011-09-05 12:34:40 UTC
Yep, the SIGSEGV seems like a consequence of NM not being activated (bug #733680). I am keeping this one open to consider whether we want to handle this situation more gracefuly than with sigsegv, but not being able to start NM is pretty fatal fail so I don't give much priority to chasing the sigsegv cause now.

Comment 3 Chris Lumens 2011-09-09 19:24:41 UTC
We certainly aren't going to support situations where NM doesn't run, but we still should display an error instead of just segfault.

Comment 4 Jan Stodola 2012-10-23 08:59:11 UTC
I haven't seen this error during testing of Fedora 18, so I'm closing this bug as resolved.


Note You need to log in before you can comment on or make changes to this bug.